org.apache.commons.math.distribution

## Interface WeibullDistribution

- All Superinterfaces:
    ContinuousDistribution, Distribution
  All Known Implementing Classes:
    WeibullDistributionImpl

      public interface WeibullDistribution
      extends ContinuousDistribution

  Weibull Distribution. This interface defines the two parameter form of the distribution as defined by Weibull Distribution, equations (1) and (2).

  References:

  - Weibull Distribution
  Since:
    1.1
  Version:
    $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getScale()` Access the scale parameter.
    `double` | `getShape()` Access the shape parameter.
    `void` | `setScale(double beta)` Deprecated. as of v2.1
    `void` | `setShape(double alpha)` Deprecated. as of v2.1

    - ### Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution

      `inverseCumulativeProbability`

    - ### Methods inherited from interface org.apache.commons.math.distribution.Distribution

      `cumulativeProbability, cumulativeProbability`

- - ### Method Detail

    - #### getShape

          double getShape()

      Access the shape parameter.
      Returns:
        the shape parameter.

    - #### getScale

          double getScale()

      Access the scale parameter.
      Returns:
        the scale parameter.

    - #### setShape

          @Deprecated
          void setShape(double alpha)

      Deprecated. as of v2.1
      Modify the shape parameter.
      Parameters:
        `alpha` - The new shape parameter value.

    - #### setScale

          @Deprecated
          void setScale(double beta)

      Deprecated. as of v2.1
      Modify the scale parameter.
      Parameters:
        `beta` - The new scale parameter value.

Copyright (c) 2003-2013 Apache Software Foundation